## edi050s.zip

=== setedit/Makefile ===
# Generated automatically by the configure script

MPREFIX=e:/dj
libdir=$(MPREFIX)/lib
CFLAGS=-O2 -Wall -Werror -gstabs+3
CXXFLAGS=-O2 -Wall -Werror -gstabs+3 -fno-exceptions -fno-rtti
export

.PHONY: needed infview plasmas libbzip2 libmpegsnd libintl installer internac doc-basic

all: editor infview plasmas installer


libmpegsnd:
	$(MAKE) -C mp3/mpegsound -f mpegsnd.mak

libbzip2:
	$(MAKE) -C libbzip2 libbz2.a

libintl:
	$(MAKE) -C gettext

internac:
	$(MAKE) -C internac

doc-basic:
	$(MAKE) -C doc txt info

# Libraries not created by RHIDE projects
needed: libmpegsnd libbzip2 libintl internac doc-basic

editor: needed
	$(MAKE) -C makes

infview:
	$(MAKE) -C makes infview

plasmas:
	cd scrnsave; $(MAKE); cd ..

installer: editor
	$(MAKE) -C makes installer

install-editor: editor
	$(MAKE) -C makes install

install-infview: infview
	$(MAKE) -C makes install-infview

install: install-editor install-infview


distrib-editor: needed
	$(MAKE) -C makes distrib

distrib-infview: needed
	$(MAKE) -C makes distrib-infview

distrib: distrib-editor distrib-infview

clean:
	cd makes; $(MAKE) clean-o; $(MAKE) clean-docs; cd ..
	rm -f configure.cache
	rm -f Makefile
	rm -f errormsg.txt
	rm -f doc/sdh.exe
	rm -f include/configed.h
	rm -rf makes/djgpp/distinf makes/djgpp/distrib makes/djgpp/result makes/djgpp/resulinf
	rm -f makes/*.a makes/*.exe makes/*.gdt
	rm -f mp3/libamp/*.a mp3/libamp/obj/*.o
	rm -f mp3/mpegsound/*.a mp3/mpegsound/obj/*.o
	cd scrnsave; $(MAKE) clean-o; cd ..
	$(MAKE) -C libbzip2 clean

=== setedit/WinNT/Makefile ===
DEST_BIN_DIR = c:\setedit
DEST_SET_DIR = c:\setedit

TV_LIB   = ..\..\tvision\winnt\rhtv.lib



all: setedit.exe

# Borland C++

CC       = bcc32
LD       = bcc32
CXX      = $(CC)
INC      = -I.\include -I..\include

!ifdef DEBUG
CDEBUGFLAGS = -v -vi -y -6 -Od
!else
CDEBUGFLAGS = -O2 -6 -T -DNDEBUG
!endif

!ifdef DYNRTL
DYNRTLDFLAGS = -WR
!endif

CFLAGS   = -D_BCPP -w-aus -w-ccc -a8 $(DYNRTLDFLAGS) -WC -X -q $(CDEBUGFLAGS) \
	-D__inline__=inline
CXXFLAGS = -P -RT- -w-hid -w-par $(CFLAGS)
LDFLAGS  = $(DYNRTLDFLAGS) -WC

INC      = -I. -I.\inc -I..\..\tvision\winnt\include -I..\..\tvision\include \
	-I..\include -I..\setedit\include -I..\settvuti\include -I..\easydiag \
	-I..\infview\include -I..\librhuti -I..\sdg\include -I..\mp3 -I..\extra \
	-I..\calcu -I..\libz -I..\libpcre -I..\libbzip2

{..\setedit}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\setedit\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\librhuti}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\easydiag}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\calcu}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\sdg}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\extra}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\mp3}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\mainsrc}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\mainsrc}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
{..\calcu}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
{..\extra}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
	
objs\edspecs.obj: ..\mainsrc\edspecs.cc
objs\bufun.obj: ..\mainsrc\bufun.cc

EDITOR_OBJS_ =  +accehtml.obj +advice.obj +ampdiag.obj +intermp3.obj +mp3list.obj\
	+mp3play.obj +ascii.obj +boardmix.obj +bufun.obj +calcu.obj +calendar.obj\
	+ceditor.obj +codepage.obj +completi.obj +deedidia.obj +doedidia.obj\
	+dskascii.obj +dskcalen.obj +dskclip.obj +dskclose.obj +dskedito.obj +dskhelp.obj\
	+dskman.obj +dskmessa.obj +dskmp3.obj +dskwin.obj +dstfile.obj +dumpfile.obj\
	+lablchek.obj +lablradi.obj +snostate.obj +tcheck2.obj +tmiclust.obj\
	+tsbutton.obj +tschkarr.obj +tschkbox.obj +tshscrol.obj +tshzgrp.obj\
	+tsinplin.obj +tsinplpi.obj +tslabel.obj +tslider.obj +tslistbo.obj +tsradbot.obj\
	+tssortlb.obj +tssosslb.obj +tstatext.obj +tstextsc.obj +tstsorlb.obj\
	+tsvegrp.obj +tsview.obj +tsviewco.obj +ttextscr.obj +edcolor.obj +edconst.obj\
	+edfonts.obj +editdiag.obj +editmain.obj +editmenu.obj +editorfo.obj\
	+editpale.obj +editwind.obj +edkeys.obj +edmsg.obj +edprefs.obj +edprint.obj\
	+edprj.obj +edspecs.obj  +dyncat.obj  +mixer.obj \
	 +stackdbg.obj +strncpyz.obj +strndup.obj +fstrcmp.obj +getctxhl.obj\
	+gzfiles.obj +inf.obj +infbase.obj +manview.obj +nhiscoll.obj +ninfview.obj\
	+ninfwind.obj +nmanwind.obj +sinf.obj +sman.obj +intgrep.obj +keytrans.obj\
	+abstorel.obj +back2sl.obj +basename.obj +fexpand.obj +io.obj +specs.obj\
	+splitfn.obj +stricat.obj +stridown.obj +stridup.obj +strifree.obj +linelen.obj\
	+loadcle.obj +loaddefl.obj +loadfunc.obj +loadnobkp.obj +loadshl.obj\
	+loadusew.obj +macrocom.obj +menuload.obj +mli.obj +mliasimp.obj +mlicsdg.obj\
	+mliediti.obj +mliedito.obj +mlisdg.obj +msignal.obj +nceditor.obj +ndskwasc.obj\
	+ndskwcal.obj +ndskwcli.obj +ndskwclo.obj +ndskwedi.obj +ndskwhel.obj\
	+ndskwman.obj +ndskwmes.obj +ndskwmp3.obj +ndskwprj.obj +neditwin.obj\
	+nfileedi.obj +nsindica.obj +ntedcol.obj +parser.obj +pathlist.obj +pathtool.obj\
	+pclipper.obj +pmacros.obj +pperl.obj +pphp.obj +pvarious.obj +runprog.obj\
	+sceditor.obj +scresave.obj +sdginter.obj +sdskasci.obj +sdskcale.obj\
	+sdskclip.obj +sdskclos.obj +sdskedit.obj +sdskhelp.obj +sdskman.obj\
	+sdskmess.obj +sdskmp3.obj +sdskprj.obj +search.obj +sedcolle.obj +diaghelp.obj\
	+dktclock.obj +fileopen.obj +fiopeaid.obj +inputsca.obj +ninputsc.obj\
	+nostatex.obj +nprogbar.obj +nprogres.obj +ntnocast.obj +ntnosost.obj\
	+setstack.obj +sprogbar.obj +sprogres.obj +stnocast.obj +stnonost.obj\
	+tdiagaid.obj +tdiagrow.obj +tinppipe.obj +tnocastc.obj +tnosostr.obj\
	+tprogbar.obj +tprogdia.obj +tprogrdi.obj +tprogres.obj +tstrlbox.obj\
	+uisarray.obj +ussarray.obj +viewplus.obj +slpinter.obj +splinman.obj\
	+ssindica.obj +ssyntax.obj +tedcolle.obj +tips.obj +tpaltext.obj +tsindica.obj\
	+txhgen.obj +winlistd.obj
EDITOR_OBJS = $(EDITOR_OBJS_:+=objs\)

EXTRA_LIBS = ..\libz\zlib.lib ..\libpcre\pcre.lib ..\libbzip2\bzip2.lib

EXTRALIB_MAKE_ARGS = _SUBMAKE=1 CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" -f Makefile.bcc

libs: $(EXTRA_LIBS)

..\libz\zlib.lib:
	cd ..\libz
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt
	
..\libpcre\pcre.lib:
	cd ..\libpcre
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt

..\libbzip2\bzip2.lib:
	cd ..\libbzip2
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt
	
clean-zlib:
	cd ..\libz
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-pcre:
	cd ..\libpcre
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-bzip2:
	cd ..\libbzip2
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-libs: clean-zlib clean-pcre clean-bzip2

setedit.exe: $(EXTRA_LIBS) $(EDITOR_OBJS) 
	$(LD) $(LDFLAGS) -esetedit $(EDITOR_OBJS) $(EXTRA_LIBS) $(TV_LIB)

install: setedit.exe doc
	echo dummy >a.exe
	xcopy /I *.exe $(DEST_BIN_DIR)
	-del a.exe
	-del $(DEST_BIN_DIR)\a.exe
	xcopy /I /S /E ..\cfgfiles\*.* $(DEST_SET_DIR)
	cd ..\doc
	make -f Makefile.bcc DEST_SET_DIR=$(DEST_SET_DIR) install
	cd ..\winnt

doc:
	cd ..\doc
	make -f Makefile.bcc
	cd ..\winnt

clean-doc:
	cd ..\doc
	make -f Makefile.bcc clean
	cd ..\winnt

clean:
	-del objs\*.obj
	-del *.exe
	-del *.obj
	-del *.lib
	-del *.tds
	
clean-all: clean clean-libs clean-doc

=== setedit/doc/Makefile ===
#
# Copyright (c) 1997,1998,1999,2000 by Salvador Eduardo Tropea
#
# Make file to generate the documentation for SET's editor
# and the needed utilties
#
# This file was adapted by Robert Hhne to integrate it
# easilly with RHIDE.
#

# Compat Layer headers location
clheaders=../../tvision/include
# set srcdir to the directory where the sources are
srcdir=.
# set this to the directory, where to search for @include
incdir=.
#extraincdir=$(RHIDESRC)/doc Now I included the files in the distribution
VPATH=$(srcdir)

# define here the wanted doc's
targets=editor sdg infeng
man_targets=setedit infview

# define here for each target the index commandline for
# sdh which is then used in $(sdh_ops) with $(index_$*)
# by replacing $* with the actual target
index_editor=-n "Index of key commands" kindex.idx kindex.tdx
index_sdg=-n "Index of variables and commands" vindex.idx vindex.tdx

# set the commandline options for sdh
sdh_ops=-c -n Index cindex.idx cindex.tdx $(index_$*) \
	-I $(srcdir) -I $(incdir)

all: all_docs

# I'm using .exe to avoid the sdg. under DOS.
# I think Linux people can live with sdg.exe.
sdh.exe: sdh.c
	gcc -s -o $@ -O2 -I $(clheaders) $<

%.inf: %.tx
	./sdh.exe -oi $(sdh_ops) -i $*

%.txt: %.tx
	./sdh.exe -ot $(sdh_ops) -i $*

%.html: %.tx
	./sdh.exe -oh $(sdh_ops) -i $*

%.dvi: %.tx
	./sdh.exe -od $(sdh_ops) -i $*

%.ps: %.tx
	./sdh.exe -op $(sdh_ops) -i $*

# this is only a theoretical suffix only used to produce
# .info .txt and .html with one rule
%.doc: %.tx
	./sdh.exe -othi $(sdh_ops) -i $*

# this is only a theoretical suffix only used to produce
# all the available formats with one rule
%.all: %.tx
	./sdh.exe -ohti $(sdh_ops) -i $*

%.1: %.man
	groff -man -Tascii $< > $@

info: $(addsuffix .inf,$(targets))
txt: $(addsuffix .txt,$(targets))
html: $(addsuffix .html,$(targets))
dvi: $(addsuffix .dvi,$(targets))
ps: $(addsuffix .ps,$(targets))
man: $(addsuffix .1,$(man_targets))

all_suffixes=all doc inf txt html dvi ps

$(foreach suffix,$(all_suffixes),$(addsuffix .$(suffix),$(targets))): sdh.exe

text: txt

all_docs: $(addsuffix .all,$(targets)) man

doc: $(addsuffix .doc,$(targets))

clean-docs:
	rm -f $(addsuffix .inf,$(targets)) $(addsuffix .txt,$(targets)) \
	$(addsuffix .html,$(targets)) $(addsuffix .dvi,$(targets)) \
	$(addsuffix .ps,$(targets))

=== setedit/gettext/Makefile ===
# Makefile for directory with message catalog handling in GNU NLS Utilities.
# Copyright (C) 1995-1998, 2000, 2001 Free Software Foundation, Inc.
# Simplified by Salvador E. Tropea
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = .
top_builddir = ..
VPATH = .

libdir = e:/dj/lib
datadir = e:/dj/share
localedir = $(datadir)/locale
aliaspath = $(localedir)
lo = o

AR = ar
CC = gcc

DEFS = -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DHAVE_CONFIG_H=1
CPPFLAGS =
CFLAGS = -O2 -Wall -Werror -gstabs+3
LDFLAGS =

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

COMHDRS = gettext.h gettextP.h hash-string.h
HEADERS = $(COMHDRS) libgnuintl.h libgettext.h loadinfo.h
COMSRCS = bindtextdom.c dcgettext.c dgettext.c gettext.c \
finddomain.c loadmsgcat.c localealias.c textdomain.c l10nflist.c \
explodename.c dcigettext.c dcngettext.c dngettext.c ngettext.c plural.y \
localcharset.c
SOURCES = $(COMSRCS) intl-compat.c
OBJECTS = bindtextdom.$lo dcgettext.$lo dgettext.$lo gettext.$lo \
finddomain.$lo loadmsgcat.$lo localealias.$lo textdomain.$lo l10nflist.$lo \
explodename.$lo dcigettext.$lo dcngettext.$lo dngettext.$lo ngettext.$lo \
plural.$lo localcharset.$lo intl-compat.$lo

.SUFFIXES:
.SUFFIXES: .c .y .o
.c.o:
	$(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

INCLUDES = -I.. -I. -I$(top_srcdir)/intl

all: libintl.a libintl.h

libintl.a libgnuintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)

libintl.h: libgnuintl.h
	cp $(srcdir)/libgnuintl.h libintl.h

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== setedit/internac/Makefile ===
# 'make languages' will build the language files
# 'make install.languages' installs the language files at the correct place

RECODE=recode
RECODE_SEP=..
COPY_RECODE=perl utod.pl

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

srcdir=.
LANGUAGES=es de
PACKAGE=setedit
prefix=$(DJDIR)
locale_dir=$(prefix)/share/locale

ifeq ($(editor_OS),DJGPP)
po_list_l=@po_list
update_p=update
else
po_list_l=`cat po_list`
update_p=cp
endif

po_subdirs=

CFLAGS=-O

all: $(addsuffix .mo,$(LANGUAGES)) es_iso.mo de_iso.mo

es_iso.mo: es_iso.po

es_iso.po: es.po
	$(COPY_RECODE) es.po es_iso.po
	$(RECODE) 850$(RECODE_SEP)iso88591 es_iso.po

de_iso.mo: de_iso.po

de_iso.po: de.po
	$(COPY_RECODE) de.po de_iso.po
	$(RECODE) 850$(RECODE_SEP)iso88591 de_iso.po

ifeq ($(xgettext),)
xgettext=xgettext
endif

ifeq ($(msgmerge),)
msgmerge=msgmerge
endif

ifeq ($(msgfmt),)
msgfmt=msgfmt
endif

ifeq ($(libintl),)
libintl=libintl.a
endif

po_list:
	perl makelist.pl

clean:
	rm -f potfiles.po
	rm -f $(addsuffix .mo,$(LANGUAGES))
	rm -f $(addsuffix .po,$(LANGUAGES))

potfiles.po: po_list
#@echo "*** Ignore warnings about unterminated strings, is a bug in gettext."
#@echo "*** Ulrich Drepper, the maintainer, refuses to fix it."
	$(xgettext) --default-domain=dummy --add-comments --keyword=_ \
	  --keyword=__ --directory=$(srcdir) --omit-header \
	  --add-location $(po_list_l)
	touch dummy.po
	$(update_p) dummy.po $@
	rm dummy.po

T=$(subst /,\,$@)

fix.exe: fix.c
	gcc -o fix.exe -s -O2 fix.c

$(addsuffix .po,$(LANGUAGES)): potfiles.po fix.exe
#if not exist $(T) cp $^ $@
	touch $@
	./fix.exe $(addprefix h_,$@) $< __.pot
	-$(msgmerge) --force-po -o __.pon $@ __.pot
	-$(update_p) __.pon $@
	rm -f __.pon
	rm -f __.pot
	./fix.exe $(addprefix h_,$@) $@ $@
#$(addsuffix .mo,$(LANGUAGES)): $(msgfmt)

%.mo: %.po
	-$(msgfmt) -o $@ $<


languages: $(addsuffix .mo,$(LANGUAGES))

# This creates the .po files for each language from $(LANGUAGES)
# See the sample translated file de.po, how to translate
languages.src: $(addsuffix .po,$(LANGUAGES))

#if you don't have the fileutils 3.13, you must copy the files manually
%.ins: %.mo
	ginstall -d $(locale_dir)/$*/LC_MESSAGES
	-ginstall $< $(locale_dir)/$*/LC_MESSAGES/$(PACKAGE).mo

install.languages.start:
	rm -f languages.log

install: languages install.languages.start \
			$(addsuffix .ins,$(LANGUAGES))

=== setedit/libpcre/Makefile ===
# Make file for PCRE (Perl-Compatible Regular Expression) library.

# If you are using a Unix system, see below. I am a Unix person, so that is
# the stuff I really know about. PCRE is developed on a Unix box.

# To build mingw32 DLL uncomment the next two lines. This addition for mingw32
# was contributed by  Paul Sokolovsky <Paul.Sokolovsky@technologist.com>. I
# (Philip Hazel) don't know anything about it! There are some additional
# targets at the bottom of this Makefile.
#
# include dll.mk
# DLL_LDFLAGS=-s


######## NON-UNIX ############ NON-UNIX ############## NON-UNIX ##############
# If you want to compile PCRE for a non-Unix system, note that it consists
# entirely of code written in Standard C, and so should compile successfully
# using normal compiling commands to do the following:
#
# (1) Compile dftables.c as a stand-alone program, and then run it with
# output sent to chartables.c. This generates a set of standard character
# tables.
#
# (2) Compile maketables.c, get.c, study.c and pcre.c and link them all
# together. This is the pcre library (chartables.c gets included by means of
# an #include directive).
#
# (3) Compile pcreposix.c and link it as the pcreposix library.
#
# (4) Compile the test program pcretest.c. This needs the functions in the
# pcre and pcreposix libraries when linking.
#
# (5) Run pcretest on the testinput files, and check that the output matches
# the corresponding testoutput files. You must use the -i option with
# testinput2.


######## UNIX ################## UNIX ################## UNIX ################
# On a Unix system:
#
# Edit CC, CFLAGS, and RANLIB for your system.
#
# It is believed that RANLIB=ranlib is required for AIX, BSDI, FreeBSD, Linux,
# MIPS RISCOS, NetBSD, OpenBSD, Digital Unix, and Ultrix.
#
# Use CFLAGS = -DUSE_BCOPY on SunOS4 and any other system that lacks the
# memmove() function, but has bcopy().
#
# Use CFLAGS = -DSTRERROR_FROM_ERRLIST on SunOS4 and any other system that
# lacks the strerror() function, but can provide the equivalent by indexing
# into errlist.

AR = ar cq
CC = gcc -O2 -Wall -DSTATIC
CFLAGS =
RANLIB = ranlib

# If you are going to obey "make install", edit these settings for your
# system. BINDIR is the directory in which the pgrep command is installed.
# INCDIR is the directory in which the public header file pcre.h is installed.
# LIBDIR is the directory in which the libraries are installed. MANDIR is the
# directory in which the man pages are installed. The pcretest program, as it
# is a test program, does not get installed anywhere.

BINDIR = /usr/local/bin
INCDIR = /usr/local/include
LIBDIR = /usr/local/lib
MANDIR = /usr/local/man


##############################################################################


OBJ = maketables.o get.o study.o pcre.o

all:            libpcre.a libpcreposix.a pcretest pgrep

pgrep:          libpcre.a pgrep.o
		$(CC) $(CFLAGS) -o pgrep pgrep.o libpcre.a

pcretest:       libpcre.a libpcreposix.a pcretest.o
		$(PURIFY) $(CC) $(CFLAGS) -o pcretest pcretest.o libpcre.a libpcreposix.a

libpcre.a:      $(OBJ)
		-rm -f libpcre.a
		$(AR) libpcre.a $(OBJ)
		-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

libpcreposix.a: pcreposix.o
		-rm -f libpcreposix.a
		$(AR) libpcreposix.a pcreposix.o
		-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

pcre.o:         chartables.c pcre.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) pcre.c

pcreposix.o:    pcreposix.c pcreposix.h internal.h pcre.h Makefile
		$(CC) -c $(CFLAGS) pcreposix.c

maketables.o:   maketables.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) maketables.c

get.o:          get.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) get.c

study.o:        study.c pcre.h internal.h Makefile
		$(CC) -c $(CFLAGS) study.c

pcretest.o:     pcretest.c pcre.h Makefile
		$(CC) -c $(CFLAGS) pcretest.c

pgrep.o:        pgrep.c pcre.h Makefile
		$(CC) -c $(CFLAGS) pgrep.c

# An auxiliary program makes the default character table source

chartables.c:   dftables
		./dftables >chartables.c

dftables:       dftables.c maketables.c pcre.h internal.h Makefile
		$(CC) -o dftables $(CFLAGS) dftables.c

install:        all
		cp libpcre.a libpcreposix.a $(LIBDIR)
		cp pcre.h $(INCDIR)
		cp pgrep $(BINDIR)
		cp pcre.3 pcreposix.3 $(MANDIR)/man3
		cp pgrep.1 $(MANDIR)/man1

# We deliberately omit dftables and chartables.c from 'make clean'; once made
# chartables.c shouldn't change, and if people have edited the tables by hand,
# you don't want to throw them away.

clean:;         -rm -f *.o *.a pcretest pgrep

runtest:        all
		./RunTest

######## MINGW32 ############### MINGW32 ############### MINGW32 #############

# This addition for mingw32 was contributed by  Paul Sokolovsky
# <Paul.Sokolovsky@technologist.com>. I (PH) don't know anything about it!

dll:            _dll libpcre.dll.a pgrep_d pcretest_d

_dll:
		$(MAKE) CFLAGS=-DSTATIC pcre.dll

pcre.dll:       $(OBJ) pcreposix.o pcre.def
libpcre.dll.a:  pcre.def

pgrep_d:        libpcre.dll.a pgrep.o
		$(CC) $(CFLAGS) -L. -o pgrep pgrep.o -lpcre.dll

pcretest_d:     libpcre.dll.a pcretest.o
		$(PURIFY) $(CC) $(CFLAGS) -L. -o pcretest pcretest.o -lpcre.dll

# End

=== setedit/libz/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-1998 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

CFLAGS=-O3 -fomit-frame-pointer
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=$(CC)
CPP=$(CC) -E

VER=1.1.3
LIBS=libz.a
SHAREDLIB=libz.so

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README FAQ INDEX ChangeLog configure Make*[a-z0-9] *.[ch] *.mms \
  algorithm.txt zlib.3 msdos/Make*[a-z0-9] msdos/zlib.def msdos/zlib.rc \
  nt/Make*[a-z0-9] nt/zlib.dnt amiga/Make*.??? os2/M*.os2 os2/zlib.def \
  contrib/RE*.contrib contrib/*.txt contrib/asm386/*.asm contrib/asm386/*.c \
  contrib/asm386/*.bat contrib/asm386/zlibvc.d?? contrib/asm[56]86/*.?86 \
  contrib/asm[56]86/*.S contrib/iostream/*.cpp \
  contrib/iostream/*.h  contrib/iostream2/*.h contrib/iostream2/*.cpp \
  contrib/untgz/Makefile contrib/untgz/*.c contrib/untgz/*.w32 \
  contrib/minizip/[CM]*[pe] contrib/minizip/*.[ch] contrib/minizip/*.[td]?? \
  contrib/delphi*/*.???

all: example minigzip

test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIB).$(VER); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIB).1; \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB); \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB).1; \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	v=$(VER); \
	if test -f zlib.h; then \
	  v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`; \
          rm -f zlib.h zconf.h; \
	fi; \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIB).$$v; then \
	  rm -f $(SHAREDLIB).$$v $(SHAREDLIB) $(SHAREDLIB).1; \
	fi

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz so_locations \
	   _match.s maketree

distclean:	clean

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== setedit/makes/Makefile ===
srcdir=.
VPATH=$(srcdir)

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

editorprjs=amp3 easydiag editor extra inffd librhuti libset sdgcline \
				settv testeasy install infview

allprjs=$(editorprjs) ../mp3/libamp/libamp ../mp3/mpegsound/mpegsnd

%.mak: %.gpr
	gpr2mak $<

editor: makes
	$(MAKE) -f editor.mak

makes: $(addsuffix .mak,$(allprjs))

# That's a problematic rule
#$(addsuffix .mak,$(editorprjs)): rhide.env

force-patch: makes
	perl patchenv.pl

clean:
	rm -f *.mak *.bak *.bkp

clean-o:
	rm -f obj*/*.o

clean-docs:
	cd ../doc; make clean-docs; cd ../makes

infview: makes
	$(MAKE) -f infview.mak

ifeq ($(editor_OS),DJGPP)
scrnsave:
	$(MAKE) -C ../scrnsave

distrib-all: distrib distrib-infview installer

distrib: editor scrnsave
	cd djgpp; compress.bat $(EXTRA_INS_OPS) ; cd ..

distrib-infview: infview
	cd djgpp; perl compinf.pl $(EXTRA_INS_OPS) ; cd ..

installer: distrib
	$(MAKE) -f install.mak
	cd ../install; perl create.pl; cd ..

#
# Installation prefix: MPREFIX, mprefix or DJDIR
#
ifneq ($(strip $(MPREFIX)),)
inst_prefix=$(MPREFIX)
else
 ifneq ($(strip $(mprefix)),)
 inst_prefix=$(mprefix)
 else
 inst_prefix=$(DJDIR)
 endif
endif

install: editor
	cd djgpp; compress.bat $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install; cd ..

install-infview: infview
	cd djgpp; perl compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install; cd ..

else
#
# Installation prefix: MPREFIX, mprefix or /usr
#
ifneq ($(strip $(MPREFIX)),)
inst_prefix=$(MPREFIX)
else
 ifneq ($(strip $(mprefix)),)
 inst_prefix=$(mprefix)
 else
 inst_prefix=/usr
 endif
endif

distrib: editor
	cd linux; perl ./compress.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --fhs $(SET_USE_FHS); cd ..
   
distrib-infview: infview
	cd linux; perl ./compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --fhs $(SET_USE_FHS); cd ..

install: editor
	cd linux; perl ./compress.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..

install-infview: infview
	cd linux; perl ./compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..
endif

=== setedit/debian/changelog ===
setedit (0.5.0-0.4) unstable; urgency=low

  * Just testing a new alpha version from CVS dated 2 Oct 2002.
  * Someone stole my bicycle!!!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu,  3 Oct 2002 20:43:35 -0300

setedit (0.5.0-0.3) unstable; urgency=low

  * New upstream alpha version from CVS dated 11 Sep 2002 (big changes, could
    be unstable).
  * debian/maintainer.notes: it was very outdated, now contains accurate and
    more useful information.
  * Added information about APT repository in README.Debian.
  * infview package didn't had upstream changelog and README.Debian.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 11 Sep 2002 19:53:31 -0300

setedit (0.5.0-0.2) unstable; urgency=low

  * Added build dependency on aalib1-dev, so the AALib-Plasma screensaver
    gets built.
  * Added a translation to Spanish of the DebConf template file (new file
    debian/setedit.templates.es, added to makes/lista).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Fri,  6 Sep 2002 13:14:05 -0300

setedit (0.5.0-0.1) unstable; urgency=low

  * New upstream alpha version from CVS dated 5 Sep 2002.
  * Policy now prohibits the use of the add-log-mailing-address Emacs tag so
    removed it from the changelog (anyway you guessed it right: I don't use
    Emacs! :-))) ).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu,  5 Sep 2002 19:19:06 -0300

setedit (0.4.57-0.4) unstable; urgency=low

  * New upstream alpha version from CVS dated 25 jul 2002 (that's my
    birthday!!!).
  * Changed my email from lubaldo to ibaldo, so updated that everywhere.
  * Added more comments to the debian/rules file, it seems that Salvador was
    confused one time :).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Mon, 29 Jul 2002 19:30:54 -0300

setedit (0.4.57-0.3) unstable; urgency=low

  * DebConf support for generating the /usr/share/setedit/install.log
    file containing options used when the editor cannot load a desktop
    file. I think I have done it The Right Way, reading existing values
    from the install.log file, adding new ones and modifying the existing
    ones.
  * Build-Depends on a newer debhelper (>=2.0.54) because of the
    debconfisation and also Depends on debconf (I don't know if I have to
    specify a version though).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon, 17 Jun 2002 01:57:43 -0300

setedit (0.4.57-0.2) unstable; urgency=low

  * New unstable alpha version from CVS dated 5 Jun 2002.
  * build-depend on xlibs-dev after confirming that it's needed and
    also added libncurses-dev and tar to the list, and removed make
    since it is included on build-essential.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Thu,  6 Jun 2002 16:46:11 -0300

setedit (0.4.55-0.1) unstable; urgency=low

  * New version automatically modified by version update scripts

 -- Salvador E. Tropea (SET) <salvador@inti.gov.ar>  Sun, 21 Apr 2002 20:12:56 -0300

setedit (0.4.54-1) unstable; urgency=low

  * The "Brothers of Argentina have problems, I hope they can get
    through it soon!" release, which it is dedicated to my argentine
    neighbors.
  * New release, with small changes and fixes, this one is supposed to
    be the One, I mean, the new Stable one, so rejoice!!!
  * Upstream says that it modified debian/rules to not delete
    doc/Makefile and internac/Makefile, but it seems it did not.
    I decided to stick with removing that files, because that's what
    I think should be done (to leave the source directory identical to
    the upstream released one, after the clean). I will talk with
    Salvador about that, not big problem though so don't worry.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue, 29 Jan 2002 00:10:56 -0300

setedit (0.4.53-1) unstable; urgency=low

  * The "Ivan hates computers after having good vacations" release.
    Well, I was on Punta del Este, good beachs, good womans, some fun
    at night, and no computers :). My hate for computers is temporary
    and it happens everytime I have good vacations, so don't worry.
  * New prerelease version, it fixes some memory leaks, improves
    compilation, some other tiny things, etc.
  * Remove internac/fix.exe on debian/rules clean.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  8 Jan 2002 15:12:38 -0300

setedit (0.4.52-2) unstable; urgency=low

  * Well, in the period of last testing of the stable release, some
    small issues where discovered and fixed. Note that the release was
    not announced, it was only announced on the setedit-users mailing
    list and as a prerelease. Lets hope that this becomes the real
    release.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  4 Dec 2001 02:10:43 -0300

setedit (0.4.52-1) unstable; urgency=low

  * The "Arriba Uruguay nom!!!" release, Uruguay goes to the Fifa
    World Soccer Championship Korea-Japan 2002, it was hard but our
    team made it!
  * Yes!!! New stable version of the editor!!!
  * Modified generated info files because Debian's install-info doesn't
    remove info files that specify "something.info" as their node, it
    needs "something" specified instead, and also, infview.info was
    being registered as infeng.info, which prevented it from being
    accessed from the main info file (the "dir" info file).
  * The infobrowser alternative (from infview) was being unregistered
    incorrectly.
  * Well, that's a lot of bugs I have found just before the stable
    release! I think two things:
    1 - I should do a more thorough testing while testing the unstable
      versions, to avoid surprises like these ones just before a stable
      release!
    2 - I don't have good testers of the packages or the people just
      doesn't bother to report the bugs.
  
 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon, 26 Nov 2001 19:36:39 -0300

setedit (0.4.51-4) unstable; urgency=low

  * No changes, just a newer upstream source from CVS and I will upload
    this version to the repository together with a little newer stable
    RHTVision, so people can test this release of the editor which is


=== setedit/debian/control ===
Source: setedit
Section: editors
Priority: optional
Maintainer: Ivan Baldo <ibaldo@adinet.com.uy>
Build-Depends: perl | perl5, rhtvision-dev, gzip, tar, debhelper (>=2.0.54), libpcre3-dev | libpcre2-dev, libz-dev, libbz2-dev, texinfo, recode, gettext, xlibs-dev | xlib6g-dev, libncurses-dev, aalib1-dev
Standards-Version: 3.5.2.0

Package: setedit
Section: editors
Architecture: any
Depends: ${shlibs:Depends}, debconf
Recommends: man
Suggests: grep, doc-base, texinfo
Conflicts: suidmanager (<< 0.50)
Description: SET's Editor - An editor for programmers
 SET's Editor is a friendly text editor; it was designed to be used
 by programmers; the main target of the editor is C and C++ code but
 it can be used for other tasks and supports syntax highlight for
 more than 24 languages. It has a user interface very easy to
 understand for people that used non-UNIX programs (real windows,
 dialogs, buttons, pull-down menues, mouse, etc.).
 .
 Note from Debian packager: if you aren't a programmer take a look
 at this editor anyway, it is really user friendly, easy to use yet
 powerful. Also, it has syntax highlight for a lot of files, macros,
 pseudo macros, and a lot more features.
 .
 THIS IS NOT A DEBIAN OFFICIAL PACKAGE AND IS NOT PART OF THE OFFICIAL
 DEBIAN DISTRIBUTION.

Package: infview
Section: doc
Architecture: any
Depends: ${shlibs:Depends}
Recommends: man
Suggests: doc-base
Conflicts: suidmanager (<< 0.50)
Description: SET's InfoViewer - An info documentation browser
 SET's InfoViewer is a friendly text-console-mode GNU Info documentation
 browser. This is the SET's Editor info browser but standalone.
 .
 THIS IS NOT A DEBIAN OFFICIAL PACKAGE AND IS NOT PART OF THE OFFICIAL
 DEBIAN DISTRIBUTION.

=== setedit/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=1

# Compile the beast!:
build: build-stamp
build-stamp: debianbackup.tar
	dh_testdir
	./configure --prefix=$(shell pwd)/debian/tmp/usr --fhs --no-comp-exe
	$(MAKE)
	touch build-stamp


# Clean everything as if nothing happened :) :
clean: clean-debian debianbackup.tar
# Heh, for cleaning we need to run the configure script in order to create the makefile that cleans! :-)))
	./configure
	$(MAKE) clean
# Restore upstream provided regenerated files:
	test -e debianbackup.tar && tar -xf debianbackup.tar
	rm -f debianbackup.tar
# FIXME: ask upstream about adding the next files to his clean target:
	rm -f internac/de_iso.po internac/fix.exe internac/es_iso.po \
		internac/gr.po internac/po_list internac/potfiles.po internac/de.mo \
		internac/de_iso.mo internac/es.mo internac/es_iso.mo
# Don't delete this files (they are on the tarball but not on CVS):
#		doc/Makefile internac/Makefile

# Use the following target when you just want for example to rebuild the
# package without recompiling the sources:
clean-debian:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean


# Let's backup modified files to restore them later!:
debianbackup.tar:
	dh_testdir
# Backup upstream provided regenerated files:
	tar -cf debianbackup.tar --files-from=debian/files_to_backup

	
# Copy needed files to the temporary directories for the packages:
install: build
	dh_testdir
	dh_testroot
	dh_clean
#   dh_installdirs
# Add here commands to install the package into debian/tmp.
	$(MAKE) install
# We need to move files for other packages than the first one in the control file:
	dh_movefiles -p infview usr/bin/infview usr/share/doc/infview/ usr/share/infview/ usr/share/man/man1/infview.1.gz
# I don't know why dh_movefiles doesn't remove the directories I requested for moving to the infview package, so I move them by hand (anyway I don't know why that command exists in the first place!):
	rm -rf debian/tmp/usr/share/doc/infview/ debian/tmp/usr/share/infview/
	mv debian/tmp/usr/share/doc/setedit/change.log.gz \
		debian/tmp/usr/share/doc/setedit/changelog.gz
	cp debian/tmp/usr/share/doc/setedit/changelog.gz \
		debian/infview/usr/share/doc/infview/
	dh_link usr/share/man/man1/setedit.1.gz usr/share/man/man1/e.1.gz
	mkdir debian/infview/usr/share/info
	cp debian/tmp/usr/share/info/infview.info.gz debian/infview/usr/share/info/infview.info.gz
	cp debian/README.debian \
		debian/infview/usr/share/doc/infview/README.Debian


# Build the packages for a specific architecture:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented e.1 setedit.1
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	chmod 4755 debian/tmp/usr/bin/setedit
	chmod 4755 debian/infview/usr/bin/infview
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -p setedit
	dh_gencontrol -p infview -- -v$$(cat infview/version.txt)-$$(cat version.txt)-$$(head -n1 debian/changelog | sed 's/.* (.*-//' | sed 's/) .*//')
#	dh_makeshlibs  This is for libraries.
	dh_md5sums
	dh_builddeb


# Build architecture-independent files here.
binary-indep: build install
#This package doesn't have architecture-independent files for the moment...

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# Build all the packages:
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary clean-debian
